Subject: Re: [SWIPL] Error message installing SWI-Prolog 4.0.9

From: Николай Федоров <[email-masked]>
Date: Wed, 26 Sep 2001 18:35:21 +0400

Hi.
> On Fri, 14 Sep 2001, Michael A. Covington wrote:
> >On some of our PCs, both under Windows 98 and under Windows 2000, we are
> >getting the message:
> >
> >
> >Error Running Prolog
> >
> >An error occurred when running Prolog to register icons and the PL filetype.
> >
> >
> >SWI-Prolog 4.0.9 installs but does not set up items in the Start Menu.
> >
> >On other PCs, we do not get the error; everything proceeds normally.  We
> >have not yet pinned down the cause of the problem.
> >
> >I understand there was a similar problem in SWI-Prolog 3.3.0 Beta or
> >something like that.  How can we fix it?
> 
> I know the problem, though I've not seen it for quite a while.  It only
> happens on some specific computers and hardly appears related to the
> Windows version running on it.  It might be a conflict handling the
> registry.  It appears consistent for a specific machine: once installed
> fine all upgrades are fine and if it complains it keeps complaining.
> 
> The only advice I've got is to register the filetype by hand.  Just
> associate the .PL with plwin.exe does most of the important work.
> We're considering to upgrade the installer or switch to another
> installation platform.

May be it is not registry problem?
I got the same message on winnt40 where I am not under ADMINISTRATOR rights.

/Nick/